# PhasicFlow: boxRegion Class Reference

boxRegion Class Reference
Collaboration diagram for boxRegion:
[legend]

## Public Member Functions

| TypeInfoNV ("boxRegion")
| boxRegion (const dictionary &dict)
| ~boxRegion ()=default
bool | isInside (const realx3 &p) const
realx3 | peek () const
bool | read (const dictionary &dict)
bool | write (dictionary &dict) const

## Protected Attributes

box | box_
uniformRandomReal | random_

## Detailed Description

Definition at line 31 of file boxRegion.hpp.

## Constructor & Destructor Documentation

## boxRegion()

boxRegion | ( | const dictionary & | dict | ) |

Definition at line 25 of file boxRegion.cpp.

## ~boxRegion()

~boxRegion | ( |  | ) |

default

## Member Function Documentation

## TypeInfoNV()

TypeInfoNV | ( | "boxRegion" |  | ) |

## isInside()

bool isInside | ( | const realx3 & | p | ) | const

Definition at line 36 of file boxRegion.cpp.

## peek()

pFlow::realx3 peek | ( |  | ) | const

Definition at line 43 of file boxRegion.cpp.

References boxRegion::box_, box::maxPoint(), box::minPoint(), boxRegion::random_, and uniformRandomReal::randomNumber().

Here is the call graph for this function:

## read()

bool read | ( | const dictionary & | dict | ) |

Definition at line 50 of file boxRegion.cpp.

## write()

bool write | ( | dictionary & | dict | ) | const

Definition at line 58 of file boxRegion.cpp.

## Member Data Documentation

## box_

box box_

protected

Definition at line 34 of file boxRegion.hpp.

Referenced by boxRegion::peek().

## random_

uniformRandomReal random_

mutableprotected

Definition at line 36 of file boxRegion.hpp.

Referenced by boxRegion::peek().

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/peakableRegion/boxRegion/boxRegion.hpp
- src/phasicFlow/structuredData/peakableRegion/boxRegion/boxRegion.cpp